· KLDP.org · KLDP.net · KLDP Wiki · KLDP BBS ·
Red5 Install/Eclipse Tuto

Red5Install/EclipseTutorial

reset 2011.3.31


* iptime
  • mkdir /mnt/sda7
  • mount /dev/sda7 /mnt/sda7
  • cd /mnt/sda7/home/tcheun/Downloads
  • dpkg -i firmware-ralink_0.28_all.deb
* grub * eclipse and tomcat * install sun-java6-jdk
  • aptitude install sun-java6-jdk
    • tomcat 를 start 못 함.

  • jre 를 sun 에서 다운로드
    • eclipse: window - preferences - java -> install JREs -> Add and select
    • eclipse: window - preferences - tomcat -> JVM settings -> jre 선택
  • edit /etc/default/tomcat6
    • JAVA_HOME=/usr/lib/jvm/sun-java6-jdk
    • JAVA_HOME=/home/tcheun/Downloads/sun/jre1.6.0_24

Most Linux distributions include gcj as the default JVM, and even installing Sun's JDK/JRE does not always make it the default. Eclipse is known to have problems when running under gcj, so it is strongly recommended that you specify the Sun JDK for Eclipse. Simple instructions can be found at http://wiki.eclipse.org/Eclipse.ini

* eclipse java
tcheun@enk:~/workspace-java/.metadata/.plugins$ ls
org.eclipse.core.resources           org.eclipse.mylyn.bugzilla.core
org.eclipse.core.runtime             org.eclipse.mylyn.tasks.ui
org.eclipse.epp.usagedata.recording  org.eclipse.team.cvs.core
org.eclipse.equinox.p2.ui            org.eclipse.ui.intro
org.eclipse.jdt.core                 org.eclipse.ui.workbench
org.eclipse.jdt.ui

try and error


* http://www.vogella.de/articles/EclipseWTP/article.html
  • 3. Installation of WTP
    Eclipse Java EE Developer Tools	3.2.3.v201011031800-7b7GHfIFSK2WBRT6E1mcyFXGPnSh
    Eclipse Web Developer Tools	3.2.3.v201102160541-7O7CFbWEMf84qYjGDyP3DNEwcgFU
    JavaScript Development Tools	1.2.3.v201102160540-7C78FGUF9JgLWNO2UCNqfa
    JavaServer Faces Tools (JSF) Project	3.2.3.v201101112207-7E7I7BF9JgLWPMz0VyDEHH
    JAX-WS DOM Tools	1.0.0.v201005241530-5--AkF7B77NBZBgBg
    JAX-WS Tools	1.0.1.v201008232129-7E777CF8NcJSSK-UBTwXn
    JST Server Adapters	3.2.3.v20110111-777HFGSCcNBDjBdHV4BA8
    JST Server Adapters	3.2.0.v201005241530-208Z7w31211419
    JST Server UI	3.2.2.v20100908-7A5FEi9xFc7RCJMToAIOJC43A
    JST Web UI	3.2.3.v201101262333-7F77FJ_C25TkfyypjhqQuxNYsMrJ
    WST Server Adapters	3.2.0.v201005241510-51EoAkF77g8HBSc

Cannot complete the install because of a conflicting dependency.
  Software being installed: Eclipse Java EE Developer Tools 3.2.3.v201011031800-7b7GHfIFSK2WBRT6E1mcyFXGPnSh (org.eclipse.jst.enterprise_ui.feature.feature.group 3.2.3.v201011031800-7b7GHfIFSK2WBRT6E1mcyFXGPnSh)
  Software currently installed: Eclipse Platform 3.5.2 (Eclipse Platform 3.5.2)
  Only one of the following can be installed at once: 
    Java Development Tools UI 3.5.1.r351_v20090821-0800 (org.eclipse.jdt.ui 3.5.1.r351_v20090821-0800)
    Java Development Tools UI 3.6.0.v20100602-1600 (org.eclipse.jdt.ui 3.6.0.v20100602-1600)
    Java Development Tools UI 3.6.1.r361_v20100825-0800 (org.eclipse.jdt.ui 3.6.1.r361_v20100825-0800)
    Java Development Tools UI 3.5.2.r352_v20100106-0800 (org.eclipse.jdt.ui 3.5.2.r352_v20100106-0800)
    Java Development Tools UI 3.6.2.r362_v20110203 (org.eclipse.jdt.ui 3.6.2.r362_v20110203)
  Cannot satisfy dependency:
    From: Eclipse Platform 3.5.2 (Eclipse Platform 3.5.2)
    To: org.eclipse.jdt.ui [3.5.2.r352_v20100106-0800]
  Cannot satisfy dependency:
    From: Eclipse Java EE Developer Tools 3.2.3.v201011031800-7b7GHfIFSK2WBRT6E1mcyFXGPnSh (org.eclipse.jst.enterprise_ui.feature.feature.group 3.2.3.v201011031800-7b7GHfIFSK2WBRT6E1mcyFXGPnSh)
    To: org.eclipse.jst.ws.jaxrs.ui [1.0.301.v201012020511]
  Cannot satisfy dependency:
    From: JAX-RS Tools - UI 1.0.301.v201012020511 (org.eclipse.jst.ws.jaxrs.ui 1.0.301.v201012020511)
    To: bundle org.eclipse.jdt.ui [3.6.0,4.0.0)

* 다음 항목은 위의 오류 발생
  • Eclipse Java EE Developer Tools
  • Eclipse Web Developer Tools,
  • JavaScript Development Tools
  • JavaServer Faces Tools (JSF) Project
  • JST Web UI

* 4.1 server 에서 Tomcat stopped 내용이 나오지 않음.

* 5.1 에서 Dynamic Web Project 항목이 나오지 않음.

* http://www.eclipse.org/downloads/
  • Eclipse Java EE Developer Tools 다운로드
  • /Download/eclipse-jee-helios-SR1-linux-gtk.tar.gz
  • tar -zxvf eclipse-jee-helios-SR1-linux-gtk.tar.gz
tcheun@debian:~/Downloads/eclipse/eclipse$ ls
about.html     configuration  eclipse.ini   icon.xpm         p2
about_files    dropins        epl-v10.html  libcairo-swt.so  plugins
artifacts.xml  eclipse        features      notice.html      readme
  • 이곳에 있는 eclipse 수행
    • help -> About Eclipse
Eclipse Java EE IDE for Web Developers.

Version: Helios Service Release 1
Build id: 20100917-0705

(c) Copyright Eclipse contributors and others 2005, 2010.  All rights reserved.
Visit http://www.eclipse.org/webtools

* 5.4 Run
sudo apt-get install tomcat6
cd /usr/share/tomcat6
sudo ln -s /var/lib/tomcat6/conf conf
sudo ln -s /etc/tomcat6/policy.d/03catalina.policy conf/catalina.policy
sudo ln -s /var/log/tomcat6 log
sudo chmod -R 777 /usr/share/tomcat6/conf

#Addition
sudo ln -s /var/lib/tomcat6/webapps webapps
sudo chmod -R 777 /usr/share/tomcat6/webapps






sponsored by andamiro
sponsored by cdnetworks
sponsored by HP

Valid XHTML 1.0! Valid CSS! powered by MoniWiki
last modified 2011-08-31 07:23:08
Processing time 0.0437 sec